# List Destination Priority

## Overview

This method lets you list the voice destination priority for phone numbers.

## Authentication

{% hint style="info" %}
Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer \<api\_key>"
{% endhint %}

## Method

## List destination priority associated with a phone numbers.

<mark style="color:blue;">`GET`</mark> `https://api-service.tsgglobal.world/v1/did/priority/lookup`

{% tabs %}
{% tab title="200: OK " %}

````javascript
```
DID,ROUTING INFO,PRIORITY,CALL TYPE
13603556939,SIP/+13603556939@SIP/13603556939@209.119.133.123,1,1
13603556939,SIP/13603556939@SIP/13603556939@209.119.133.123,2,1
13603556404,SIP/13603556404@8.30.173.27,1,1
13603556404,SIP/13603556404@8.36.70.27,2,1
```
````

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/phone-numbers/manage-number-for-voice/list-destination-priority.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
